Skip to content
Get started

List lists

GET/api/v1/lists

List lists

Query ParametersExpand Collapse
cursor: optional string

Opaque cursor from the previous response nextCursor.

includeDeleted: optional boolean
limit: optional number
minimum1
maximum100
spaceId: optional string

Optional space id; when omitted, the user’s default space is used.

ReturnsExpand Collapse
data: array of BaseEntity { id, createdAt, deletedAt, 4 more }
listId: string
sortOrder: number
color: optional string
emoji: optional string
icon: optional string
isDefault: optional boolean
keyboardShortcut: optional string
name: optional string
spaceVersion: number

Current Replicache space version (Space.version).

nextCursor: optional string

List lists

curl https://$FLUIDWAVE_HOST/api/v1/lists
{
  "data": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "deletedAt": "2019-12-27T18:11:19.117Z",
      "isDeleted": true,
      "spaceId": "spaceId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "versionUpdatedAt": 0,
      "listId": "listId",
      "sortOrder": 0,
      "color": "color",
      "emoji": "emoji",
      "icon": "icon",
      "isDefault": true,
      "keyboardShortcut": "keyboardShortcut",
      "name": "name"
    }
  ],
  "spaceVersion": 0,
  "nextCursor": "nextCursor"
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "deletedAt": "2019-12-27T18:11:19.117Z",
      "isDeleted": true,
      "spaceId": "spaceId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "versionUpdatedAt": 0,
      "listId": "listId",
      "sortOrder": 0,
      "color": "color",
      "emoji": "emoji",
      "icon": "icon",
      "isDefault": true,
      "keyboardShortcut": "keyboardShortcut",
      "name": "name"
    }
  ],
  "spaceVersion": 0,
  "nextCursor": "nextCursor"
}